DNSSD::Query Class Reference

`#include <query.h>`

Inherits QObject.

## Signals

void | serviceAdded (DNSSD::RemoteService::Ptr)
void | serviceRemoved (DNSSD::RemoteService::Ptr)
void | finished ()

## Public Member Functions

| Query (const QString &type, const QString &domain)
virtual void | startQuery ()
bool | isRunning () const
bool | isFinished () const
const QString & | domain () const

## Protected Member Functions

virtual void | virtual_hook (int, void *)
virtual void | customEvent (QCustomEvent *event)

## Detailed Description

This class provides way to search for specified service type in one domain.

Depending on domain name, either multicast or unicast DNS will be used.

Class that represents service query in one domain.

Author
  Jakub Stachowski

Definition at line 39 of file query.h.

## Constructor & Destructor Documentation

DNSSD::Query::Query | ( | const QString & | type,
|  | const QString & | domain
| ) |  |

Creates new query.

Parameters

  type | Type of services to browse for
  domain | Domain name - if set to "local." multicast query will be performed, otherwise unicast

Definition at line 50 of file query.cpp.

## Member Function Documentation

const QString & DNSSD::Query::domain | ( |  | ) | const

Returns queried domain.

Definition at line 72 of file query.cpp.

void DNSSD::Query::finished | ( |  | ) |

signal

Emitted when all announced services has been reported.

bool DNSSD::Query::isFinished | ( |  | ) | const

Returns TRUE if all currently announced services has been reported.

It does not mean that no more services can be found later and it is not related to isRunning()

Definition at line 67 of file query.cpp.

bool DNSSD::Query::isRunning | ( |  | ) | const

Returns TRUE if query is already running.

Definition at line 62 of file query.cpp.

void DNSSD::Query::serviceAdded | ( | DNSSD::RemoteService::Ptr |  | ) |

signal

Emitted when new service has been discovered.

void DNSSD::Query::serviceRemoved | ( | DNSSD::RemoteService::Ptr |  | ) |

signal

Emitted when previously discovered service is not longer published.

void DNSSD::Query::startQuery | ( |  | ) |

virtual

Starts query.

Ignored if query is already running

Definition at line 77 of file query.cpp.

The documentation for this class was generated from the following files:

- query.h
- query.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys